%global pypi_name sybil

%bcond_with extra_tests

Summary:        Automated testing for the examples in your documentation
Name:           python-%{pypi_name}
Version:        5.0.3
Release:        1%{?dist}
License:        MIT
URL:            https://sybil.readthedocs.io/
Source0:        https://github.com/cjw296/sybil/archive/%{version}/%{pypi_name}-%{version}.tar.gz

Patch0001:      drop-dependency-on-seedir.patch

BuildArch:      noarch

%description
This library provides a way to test examples in your documentation by parsing
them from the documentation source and evaluating the parsed examples as part
of your normal test run. Integration is provided for the three main Python
test runners.

%package -n python3-%{pypi_name}
Summary:        Automated testing for the examples in your documentation
BuildRequires:  make
BuildRequires:  python3-devel python3-setuptools python3-pytest python3-pytest-cov
%if %{with extra_tests}
BuildRequires:  python3-testfixtures
%endif

%description -n python3-%{pypi_name}
This library provides a way to test examples in your documentation by parsing
them from the documentation source and evaluating the parsed examples as part
of your normal test run. Integration is provided for the three main Python
test runners.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%if %{without extra_tests}
sed -i '/testfixtures/d' setup.py
sed -i '/testfixtures/d' tests/helpers.py
grep -rl "^from testfixtures*" tests/ | xargs rm
%endif

%build
%py3_build

%install
%py3_install

%check
%pytest tests

%files -n python3-%{pypi_name}
%doc README.rst
%license docs/license.rst
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{pypi_name}/

%changelog
* Thu Sep 28 2023 Shuo Wang <abushwang@tencent.com> - 5.0.3-1
- update to 5.0.3

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-5
- Rebuilt for python 3.11

* Thu Sep 14 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.1-4
- Add a patch to adapt pytest7.4+

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.1-1
- initial build
